/*

The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

The Original Code is jslib team code.
The Initial Developer of the Original Code is jslib team.

Portions created by jslib team are
Copyright (C) 2000 jslib team.  All
Rights Reserved.

Original Author: Pete Collins <pete@mozdev.org>
Contributor(s):

*/

/************** DUBUG ******************/

function debug(aOutString){

  if(!JSLIB_DEBUG)
    return null;

	if(!aOutString)
		aOutString="JSLIB DEBUG IS ON\n"

  return (dump(aOutString));


}

debug("\n\n*********************\nJSLIB DEBUG IS ON\n*********************\n\n");

/************** DUBUG ******************/

/************** JSLIB ERROR ************/
function jslibError(e, aType, aResults, aFile) 
{

  if(!JSLIB_DEBUG)
    return null;

  debug("-----======[ ERROR ]=====-----\n");
	if(aFile && aType)
  	debug("Error in "+aFile+":  "+aType+"\n");
  if(e) {
    debug("Name:              "+e.name+"\n");
    debug("Message:           "+e.message+"\n");
    debug("Result:            0x"+e.result.toString(16)+"\n");
    debug("Location:          "+e.location+"\n");
  }
	if(aResults)
  	debug("NS_ERROR_NUMBER:   "+aResults+"\n");
 	debug("------------------------------\n");

  return (aResults ? aResults: null);
}
/************** JSLIB ERROR ************/

